You are not logged in.

#1 2021-07-20 12:41:32

bulta
Member
Registered: 2021-06-16
Posts: 6

error: failed to prepare transaction (could not satisfy dependencies)

Hello all,

the most recent update spit out following:

<<<

$ sudo pacman -Syu
:: Synchronizing package databases...
core is up to date
extra                                    1567.0 KiB   359 KiB/s 00:04 [########################################] 100%
community                                   5.6 MiB   257 KiB/s 00:22 [########################################] 100%
multilib                                  149.9 KiB   300 KiB/s 00:01 [########################################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: installing wlroots (0.14.1-1) breaks dependency 'wlroots<0.14' required by wayfire

>>>


What to do???

Thanks

Offline

#2 2021-07-20 13:07:23

a821
Member
Registered: 2012-10-31
Posts: 266

Re: error: failed to prepare transaction (could not satisfy dependencies)

wayfire is from the AUR... either wait till the AUR maintainer updates it, or uninstall it and then continue with the system update.

Edit: actually wayfire is up-to-date in the AUR. Uninstall wayfire, update system, reinstall wayfire...

Last edited by a821 (2021-07-20 13:57:07)

Offline

#3 2021-07-20 13:08:20

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 10,386
Website

Re: error: failed to prepare transaction (could not satisfy dependencies)

Mod note: moving to AUR Issues.


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#4 2021-07-23 12:49:31

bulta
Member
Registered: 2021-06-16
Posts: 6

Re: error: failed to prepare transaction (could not satisfy dependencies)

<<<
Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD
>>>

This conditions does't match. But learned something for the future.
Thanks sharing your time and knowledge!!!

<<<
Edit: actually wayfire is up-to-date in the AUR. Uninstall wayfire, update system, reinstall wayfire...
>>>

That worked.

Thanks!!!

(can't find a bottom to sign this post as answered???)

Offline

#5 2021-07-23 12:51:42

2ManyDogs
Forum Moderator
Registered: 2012-01-15
Posts: 3,654

Re: error: failed to prepare transaction (could not satisfy dependencies)

Edit your first post and add [SOLVED] to the title.

Offline

Board footer

Powered by FluxBB